| base-3.0.2.0: Basic libraries | Source code | Contents | Index

Data.Bool

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Contents

Booleans
  Operations

Description
The `Bool` type and related functions.
Synopsis

data Bool

= False
| True

(&&) :: Bool -> Bool -> Bool
(||) :: Bool -> Bool -> Bool
not :: Bool -> Bool
otherwise :: Bool

Booleans

data Bool | Source

The `Bool` type is an enumeration. It is defined with `False` first so that the corresponding `Enum` instance will give `fromEnum` `False` the value zero, and `fromEnum` `True` the value 1.
Constructors

False |
True |

Instances

Bounded Bool
Data Bool
Enum Bool
Eq Bool
Ix Bool
Ord Bool
Read Bool
Show Bool
Storable Bool
Typeable Bool

Operations

(&&) :: Bool -> Bool -> Bool | Source

Boolean "and"

(||) :: Bool -> Bool -> Bool | Source

Boolean "or"

not :: Bool -> Bool | Source

Boolean "not"

otherwise :: Bool | Source

`otherwise` is defined as the value `True`. It helps to make guards more readable. eg.

      f x | x < 0     = ...
          | otherwise = ...

Produced by Haddock version 0.9